Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# OS.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_INLINE
#define | strerror(err) "strerror is unsupported"
#define | ACE_ADAPT_RETVAL(OP, RESULT) ((RESULT = (OP)) != 0 ? (errno = RESULT, -1) : 0)
#define | ACE_SOCKCALL_RETURN(OP, TYPE, FAILVALUE) ACE_OSCALL_RETURN(OP,TYPE,FAILVALUE)
#define | ___ACE_TIMEOUT timep
## Typedefs
typedef int | ACE_SOCKET_LEN
typedef const struct strbuf * | ACE_STRBUF_TYPE
typedef const char * | ACE_SOCKOPT_TYPE1
typedef char * | ACE_MMAP_TYPE
typedef const struct timespec * | ACE_TIMESPEC_PTR
## Functions
ACE_INLINE ACE_Time_Value | operator * (double d, const ACE_Time_Value &tv)
ACE_INLINE ACE_Time_Value | operator * (const ACE_Time_Value &tv, double d)
ACE_INLINE int | operator> (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator>= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator< (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator<= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator== (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator!= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator+ (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator- (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
int | isastream (int)
int | getrusage (int who, struct rusage *rusage)

## Define Documentation

#define ___ACE_TIMEOUT timep

#define ACE_ADAPT_RETVAL | ( | OP,
|  | RESULT |  | ) | ((RESULT = (OP)) != 0 ? (errno = RESULT, -1) : 0)

#define ACE_INLINE

#define ACE_SOCKCALL_RETURN | ( | OP,
|  | TYPE,
|  | FAILVALUE |  | ) | ACE_OSCALL_RETURN(OP,TYPE,FAILVALUE)

#define strerror | ( | err |  | ) | "strerror is unsupported"

## Typedef Documentation

typedef char* ACE_MMAP_TYPE

typedef int ACE_SOCKET_LEN

typedef const char* ACE_SOCKOPT_TYPE1

typedef const struct strbuf* ACE_STRBUF_TYPE

typedef const struct timespec* ACE_TIMESPEC_PTR

## Function Documentation

int getrusage | ( | int | who,
|  | struct rusage * | rusage
| ) |

int isastream | ( | int |  | ) |

ACE_INLINE ACE_Time_Value operator * | ( | const ACE_Time_Value & | tv,
|  | double | d
| ) |

ACE_INLINE ACE_Time_Value operator * | ( | double | d,
|  | const ACE_Time_Value & | tv
| ) |

ACE_INLINE int operator!= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator+ | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator- | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator< | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator<= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator== | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator> | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator>= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |